Api referenceNewsletterIssues

Read a newsletter issue (Preview)

Preview · Available to selected organizations. Reads one issues/*.md file at the requested workspace revision. Requires newsletters and email.

GET
/v1/newsletters/{id}/issues/document

Reads one issues/*.md file at the requested workspace revision. Requires newsletters and email.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^nl_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

path*string
Match^(?!.*\\)(?!.*(?:^|\/)\.{1,2}(?:\/|$))(?!.*(?:^|\/)\.git(?:\/|$))(?!.*\p{Cc})issues\/(?:[^/]+\/)*[^/]+\.md$
Lengthlength <= 1024
expectedRevision*string
Length1 <= length <= 1024

Response Body

NewsletterIssueDocument

application/json
  1. response
projectId*TemplateProjectId
Match^tproj_[0-9a-hjkmnp-tv-z]{16,24}$
revision*string
Length1 <= length <= 1024
path*string
Match^(?!.*\\)(?!.*(?:^|\/)\.{1,2}(?:\/|$))(?!.*(?:^|\/)\.git(?:\/|$))(?!.*\p{Cc})issues\/(?:[^/]+\/)*[^/]+\.md$
Lengthlength <= 1024
content*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.newsletters.issues.get({  "id": "example",  "path": "example",  "expectedRevision": "example"});
Example Response
{  "projectId": "string",  "revision": "string",  "path": "string",  "content": "string"}